summaryrefslogtreecommitdiffstats
path: root/zarb-ml/mageia-dev/attachments/20110613/2c715ab6
diff options
context:
space:
mode:
authorNicolas Vigier <boklm@mageia.org>2013-04-14 13:46:12 +0000
committerNicolas Vigier <boklm@mageia.org>2013-04-14 13:46:12 +0000
commit1be510f9529cb082f802408b472a77d074b394c0 (patch)
treeb175f9d5fcb107576dabc768e7bd04d4a3e491a0 /zarb-ml/mageia-dev/attachments/20110613/2c715ab6
parentfa5098cf210b23ab4f419913e28af7b1b07dafb2 (diff)
downloadarchives-master.tar
archives-master.tar.gz
archives-master.tar.bz2
archives-master.tar.xz
archives-master.zip
Add zarb MLs html archivesHEADmaster
Diffstat (limited to 'zarb-ml/mageia-dev/attachments/20110613/2c715ab6')
-rw-r--r--zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0001.ksh63
-rw-r--r--zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0002.ksh201
-rw-r--r--zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0003.ksh63
-rw-r--r--zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment.ksh201
4 files changed, 528 insertions, 0 deletions
diff --git a/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0001.ksh b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0001.ksh
new file mode 100644
index 000000000..6a315f788
--- /dev/null
+++ b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0001.ksh
@@ -0,0 +1,63 @@
+#!/bin/bash
+#
+# Save this file as skype-txt-gen in your home folder
+# $ chmod +x skype-txt-gen
+# Extract the new skype tarball into your home folder which should create a folder e.g. ~/skype-2.2.0.35
+# Run this script and copy the three output txt files to the SOURCES folder in your rpm build tree.
+#
+#########################################################
+
+if [[ ${#1} = 0 ]]; then
+echo "Usage: $ ./skype-txt-gen <version>"
+echo "example: $ ./skype-txt-gen 2.2.0.35"
+exit 1
+fi
+version=$1
+if ! [[ -d skype-$version ]]; then
+echo "Directory skype-$version is missing"
+exit 1
+fi
+dirname="skype-sources-$version"
+rm -rf "$dirname"
+mkdir "$dirname"
+cd skype-"$version"
+
+getavatars()
+{
+rm -f ../"$dirname"/avatars-"$version".txt
+cd avatars
+for item in *
+do
+echo $item >> ../../"$dirname"/avatars-"$version".txt
+done
+cd ..
+}
+
+getsounds()
+{
+rm -f ../"$dirname/"sounds-"$version".txt
+cd sounds
+for item in *
+do
+echo $item >> ../../"$dirname"/sounds-"$version".txt
+done
+cd ..
+}
+
+getlang()
+{
+rm -f ../"$dirname"/lang-"$version".txt
+cd lang
+for item in *
+do
+echo $item >> ../../"$dirname"/lang-"$version".txt
+done
+cd ..
+sed -i 's/skype_//g' ../"$dirname"/lang-"$version".txt
+}
+
+getavatars
+getsounds
+getlang
+
+echo "The text files have been created in ~/$dirname" \ No newline at end of file
diff --git a/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0002.ksh b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0002.ksh
new file mode 100644
index 000000000..4cf4c9ee8
--- /dev/null
+++ b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0002.ksh
@@ -0,0 +1,201 @@
+%define name get-skype
+%define version 2.2.0.35
+%define release %mkrel 9
+%define instdir %{_datadir}/skype
+%define langdir %{instdir}/lang
+%define avatardir %{instdir}/avatars
+%define sounddir %{instdir}/sounds
+%define icondir %{instdir}/icons
+%define md5 6e28002c0086fae5206e2d242c3edcfa
+%define tmp_download_dir %{_localstatedir}/lib/%{name}
+
+Summary: Download and Install Skype
+Name: %{name}
+Version: %{version}
+Release: %{release}
+License: Proprietary
+Group: Networking/Instant messaging
+URL: http://www.skype.com
+Buildarch: noarch
+Requires: wget
+Requires: liblcms1
+Requires: libmng1
+Requires: libqtcore4
+Requires: libqtdbus4
+Requires: libqtnetwork4
+Requires: libqtgui4
+Requires: libqtsvg4
+Requires: libqtxml4
+Requires: libxscrnsaver1
+Requires: libxv1
+Requires: libv4l-wrappers
+
+# The following are lists of filenames (124 in total) placed
+# in versioned text files to save clutter in the spec file.
+Source0: avatars-%{version}.txt
+Source1: sounds-%{version}.txt
+Source2: lang-%{version}.txt
+
+%description
+This is an installer for Skype-%{version}.
+
+This package does not contain any files as the Skype license does not allow distribution.
+By installing this package you will download and install Skype from skype.com.
+You must accept the Skype EULA before using it.
+Please be patient, this is a 23MB download and may take some time.
+Uninstalling this package will uninstall Skype from your system.
+
+%pre
+
+mkdir %{tmp_download_dir}
+[[ -d %{tmp_download_dir} ]] || exit 1
+cd %{tmp_download_dir} || exit 1
+wget -nc "http://download.skype.com/linux/skype-%{version}.tar.bz2"
+
+md5chk=$(md5sum skype-%{version}.tar.bz2 | cut -d' ' -f1)
+if [[ %{md5} != $md5chk ]]; then
+rm skype-%{version}.tar.bz2
+cd ..
+rm -r %{tmp_download_dir}
+echo "Error - download checksum failed"
+exit 1
+fi
+
+%install
+
+rm -rf $RPM_BUILD_ROOT
+install -d -m 0755 %buildroot%{_bindir}
+install -d -m 0755 %buildroot%{_datadir}/applications
+touch %buildroot%{_datadir}/applications/skype.desktop
+
+install -d -m 0755 %buildroot%{instdir}
+touch %buildroot%{instdir}/{skype.desktop,skype,skype.conf,LICENSE,README}
+
+install -d -m 0755 %buildroot%{langdir}
+while read line; do
+touch %buildroot%{langdir}/skype_"$line"
+done < %{SOURCE2}
+
+install -d -m 0755 %buildroot%{instdir}/icons
+install -d -m 0755 %buildroot%{_iconsdir}
+touch %buildroot%{_iconsdir}/skype.png
+for i in 16 32 48; do
+touch %buildroot%{_iconsdir}/SkypeBlue_${i}x${i}.png
+touch %buildroot%{instdir}/icons/SkypeBlue_${i}x${i}.png
+done
+
+install -d -m 0755 %buildroot%{avatardir}
+while read line; do
+touch %buildroot%{avatardir}/"$line"
+done < %{SOURCE0}
+
+install -d -m 0755 %buildroot%{sounddir}
+while read line; do
+touch %buildroot%{sounddir}/"$line"
+done < %{SOURCE1}
+
+echo "LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so %{instdir}/skype"\
+ > %buildroot%{_bindir}/skype && chmod +x %buildroot%{_bindir}/skype
+
+%post
+
+tmp_extract_dir=$(mktemp -d)
+if ! [[ -d $tmp_extract_dir ]]; then
+echo "Failed to create temporary directory"
+rm -r %{tmp_download_dir}
+exit 1
+fi
+
+%define tmp_skype_dir ${tmp_extract_dir}/skype-%{version}
+
+cd ${tmp_extract_dir}
+tar jxf %{tmp_download_dir}/skype-%{version}.tar.bz2
+
+if ! [[ -d %{tmp_skype_dir} ]]; then
+echo "Extracted file folder missing"
+cd ..
+rm -rf ${tmp_extract_dir}
+rm -r %{tmp_download_dir}
+exit 1
+fi
+
+# If any extra files are installed here then
+# corresponding ghost files need to be added in files
+
+mkdir -p %{instdir}
+
+cp -a %{tmp_skype_dir}/icons/* %{_iconsdir}
+cp -a %{_iconsdir}/SkypeBlue_48x48.png %{_iconsdir}/skype.png
+cp -a %{tmp_skype_dir}/skype.desktop %{_datadir}/applications/
+mv %{tmp_skype_dir}/skype %{instdir}
+mv %{tmp_skype_dir}/skype.desktop %{instdir}
+mv %{tmp_skype_dir}/skype.conf %{instdir}
+mv %{tmp_skype_dir}/LICENSE %{instdir}
+mv %{tmp_skype_dir}/README %{instdir}
+mv %{tmp_skype_dir}/avatars %{instdir}
+mv %{tmp_skype_dir}/lang %{langdir}
+mv %{tmp_skype_dir}/sounds %{sounddir}
+mv %{tmp_skype_dir}/icons %{icondir}
+rm -r %{tmp_skype_dir}
+cd ..
+rm -r ${tmp_extract_dir}
+rm -r %{tmp_download_dir}
+
+%clean
+
+rm -rf $RPM_BUILD_ROOT
+
+%files
+
+%defattr(-,root,root)
+%{_bindir}/skype
+%ghost %{_iconsdir}/skype.png
+%ghost %{_iconsdir}/SkypeBlue_*.png
+%ghost %{_datadir}/applications/skype.desktop
+%ghost %{instdir}
+
+%changelog
+
+* Mon Jun 13 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-8.mga1
+- Added || exit 1 in pre
+- Changed tmp file var names to be more descriptive.
+
+
+* Sun Jun 12 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-8.mga1
+- Removed full stop from summary.
+
+* Sun Jun 12 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-7.mga1
+- Added tests for failed directory creation, exiting with cleanup.
+- Added note in post.
+- Removed resource option on launch command line as we use default.
+
+* Sat Jun 11 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-6.mga1
+- Added md5sum check on download and cleanup on fail.
+- Downloads to /var/lib/get-skype - removed after install.
+- Creates unique /tmp/tmp.xxxx dir for extraction of tar.
+- Added versioning to .txt files.
+- Added removal of all tmp directories after install.
+- Corrected URL:
+
+* Thu Jun 9 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-5.mga1
+- Bumped release to test update - no changes
+
+* Thu Jun 9 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-4.mga1
+- Moved installation to /usr/share instead of /opt
+- Changed group and license
+- Changed temporary dir
+- Changed to wget for d/l
+
+* Mon Jun 6 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-2.mga1
+- Moved download to pre to stop install if d/l fails
+
+* Sun Jun 5 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-1.mga1
+- Changed get-skype version to follow Skype version.
+- Changed URL to directly download only correct version.
+- A copy of the downloaded file is retained in /tmp/skype-<version> to
+- speed re-installation (unless you clean /tmp)
+
+* Sat Jun 4 2011 Barry Jackson <zen25000@zen.co.uk> 0.2.mga1
+- Now all files are registered in rpm database.
+- lang, avatar and sound filenames supplied in source files.
+
diff --git a/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0003.ksh b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0003.ksh
new file mode 100644
index 000000000..6a315f788
--- /dev/null
+++ b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment-0003.ksh
@@ -0,0 +1,63 @@
+#!/bin/bash
+#
+# Save this file as skype-txt-gen in your home folder
+# $ chmod +x skype-txt-gen
+# Extract the new skype tarball into your home folder which should create a folder e.g. ~/skype-2.2.0.35
+# Run this script and copy the three output txt files to the SOURCES folder in your rpm build tree.
+#
+#########################################################
+
+if [[ ${#1} = 0 ]]; then
+echo "Usage: $ ./skype-txt-gen <version>"
+echo "example: $ ./skype-txt-gen 2.2.0.35"
+exit 1
+fi
+version=$1
+if ! [[ -d skype-$version ]]; then
+echo "Directory skype-$version is missing"
+exit 1
+fi
+dirname="skype-sources-$version"
+rm -rf "$dirname"
+mkdir "$dirname"
+cd skype-"$version"
+
+getavatars()
+{
+rm -f ../"$dirname"/avatars-"$version".txt
+cd avatars
+for item in *
+do
+echo $item >> ../../"$dirname"/avatars-"$version".txt
+done
+cd ..
+}
+
+getsounds()
+{
+rm -f ../"$dirname/"sounds-"$version".txt
+cd sounds
+for item in *
+do
+echo $item >> ../../"$dirname"/sounds-"$version".txt
+done
+cd ..
+}
+
+getlang()
+{
+rm -f ../"$dirname"/lang-"$version".txt
+cd lang
+for item in *
+do
+echo $item >> ../../"$dirname"/lang-"$version".txt
+done
+cd ..
+sed -i 's/skype_//g' ../"$dirname"/lang-"$version".txt
+}
+
+getavatars
+getsounds
+getlang
+
+echo "The text files have been created in ~/$dirname" \ No newline at end of file
diff --git a/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment.ksh b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment.ksh
new file mode 100644
index 000000000..4cf4c9ee8
--- /dev/null
+++ b/zarb-ml/mageia-dev/attachments/20110613/2c715ab6/attachment.ksh
@@ -0,0 +1,201 @@
+%define name get-skype
+%define version 2.2.0.35
+%define release %mkrel 9
+%define instdir %{_datadir}/skype
+%define langdir %{instdir}/lang
+%define avatardir %{instdir}/avatars
+%define sounddir %{instdir}/sounds
+%define icondir %{instdir}/icons
+%define md5 6e28002c0086fae5206e2d242c3edcfa
+%define tmp_download_dir %{_localstatedir}/lib/%{name}
+
+Summary: Download and Install Skype
+Name: %{name}
+Version: %{version}
+Release: %{release}
+License: Proprietary
+Group: Networking/Instant messaging
+URL: http://www.skype.com
+Buildarch: noarch
+Requires: wget
+Requires: liblcms1
+Requires: libmng1
+Requires: libqtcore4
+Requires: libqtdbus4
+Requires: libqtnetwork4
+Requires: libqtgui4
+Requires: libqtsvg4
+Requires: libqtxml4
+Requires: libxscrnsaver1
+Requires: libxv1
+Requires: libv4l-wrappers
+
+# The following are lists of filenames (124 in total) placed
+# in versioned text files to save clutter in the spec file.
+Source0: avatars-%{version}.txt
+Source1: sounds-%{version}.txt
+Source2: lang-%{version}.txt
+
+%description
+This is an installer for Skype-%{version}.
+
+This package does not contain any files as the Skype license does not allow distribution.
+By installing this package you will download and install Skype from skype.com.
+You must accept the Skype EULA before using it.
+Please be patient, this is a 23MB download and may take some time.
+Uninstalling this package will uninstall Skype from your system.
+
+%pre
+
+mkdir %{tmp_download_dir}
+[[ -d %{tmp_download_dir} ]] || exit 1
+cd %{tmp_download_dir} || exit 1
+wget -nc "http://download.skype.com/linux/skype-%{version}.tar.bz2"
+
+md5chk=$(md5sum skype-%{version}.tar.bz2 | cut -d' ' -f1)
+if [[ %{md5} != $md5chk ]]; then
+rm skype-%{version}.tar.bz2
+cd ..
+rm -r %{tmp_download_dir}
+echo "Error - download checksum failed"
+exit 1
+fi
+
+%install
+
+rm -rf $RPM_BUILD_ROOT
+install -d -m 0755 %buildroot%{_bindir}
+install -d -m 0755 %buildroot%{_datadir}/applications
+touch %buildroot%{_datadir}/applications/skype.desktop
+
+install -d -m 0755 %buildroot%{instdir}
+touch %buildroot%{instdir}/{skype.desktop,skype,skype.conf,LICENSE,README}
+
+install -d -m 0755 %buildroot%{langdir}
+while read line; do
+touch %buildroot%{langdir}/skype_"$line"
+done < %{SOURCE2}
+
+install -d -m 0755 %buildroot%{instdir}/icons
+install -d -m 0755 %buildroot%{_iconsdir}
+touch %buildroot%{_iconsdir}/skype.png
+for i in 16 32 48; do
+touch %buildroot%{_iconsdir}/SkypeBlue_${i}x${i}.png
+touch %buildroot%{instdir}/icons/SkypeBlue_${i}x${i}.png
+done
+
+install -d -m 0755 %buildroot%{avatardir}
+while read line; do
+touch %buildroot%{avatardir}/"$line"
+done < %{SOURCE0}
+
+install -d -m 0755 %buildroot%{sounddir}
+while read line; do
+touch %buildroot%{sounddir}/"$line"
+done < %{SOURCE1}
+
+echo "LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so %{instdir}/skype"\
+ > %buildroot%{_bindir}/skype && chmod +x %buildroot%{_bindir}/skype
+
+%post
+
+tmp_extract_dir=$(mktemp -d)
+if ! [[ -d $tmp_extract_dir ]]; then
+echo "Failed to create temporary directory"
+rm -r %{tmp_download_dir}
+exit 1
+fi
+
+%define tmp_skype_dir ${tmp_extract_dir}/skype-%{version}
+
+cd ${tmp_extract_dir}
+tar jxf %{tmp_download_dir}/skype-%{version}.tar.bz2
+
+if ! [[ -d %{tmp_skype_dir} ]]; then
+echo "Extracted file folder missing"
+cd ..
+rm -rf ${tmp_extract_dir}
+rm -r %{tmp_download_dir}
+exit 1
+fi
+
+# If any extra files are installed here then
+# corresponding ghost files need to be added in files
+
+mkdir -p %{instdir}
+
+cp -a %{tmp_skype_dir}/icons/* %{_iconsdir}
+cp -a %{_iconsdir}/SkypeBlue_48x48.png %{_iconsdir}/skype.png
+cp -a %{tmp_skype_dir}/skype.desktop %{_datadir}/applications/
+mv %{tmp_skype_dir}/skype %{instdir}
+mv %{tmp_skype_dir}/skype.desktop %{instdir}
+mv %{tmp_skype_dir}/skype.conf %{instdir}
+mv %{tmp_skype_dir}/LICENSE %{instdir}
+mv %{tmp_skype_dir}/README %{instdir}
+mv %{tmp_skype_dir}/avatars %{instdir}
+mv %{tmp_skype_dir}/lang %{langdir}
+mv %{tmp_skype_dir}/sounds %{sounddir}
+mv %{tmp_skype_dir}/icons %{icondir}
+rm -r %{tmp_skype_dir}
+cd ..
+rm -r ${tmp_extract_dir}
+rm -r %{tmp_download_dir}
+
+%clean
+
+rm -rf $RPM_BUILD_ROOT
+
+%files
+
+%defattr(-,root,root)
+%{_bindir}/skype
+%ghost %{_iconsdir}/skype.png
+%ghost %{_iconsdir}/SkypeBlue_*.png
+%ghost %{_datadir}/applications/skype.desktop
+%ghost %{instdir}
+
+%changelog
+
+* Mon Jun 13 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-8.mga1
+- Added || exit 1 in pre
+- Changed tmp file var names to be more descriptive.
+
+
+* Sun Jun 12 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-8.mga1
+- Removed full stop from summary.
+
+* Sun Jun 12 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-7.mga1
+- Added tests for failed directory creation, exiting with cleanup.
+- Added note in post.
+- Removed resource option on launch command line as we use default.
+
+* Sat Jun 11 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-6.mga1
+- Added md5sum check on download and cleanup on fail.
+- Downloads to /var/lib/get-skype - removed after install.
+- Creates unique /tmp/tmp.xxxx dir for extraction of tar.
+- Added versioning to .txt files.
+- Added removal of all tmp directories after install.
+- Corrected URL:
+
+* Thu Jun 9 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-5.mga1
+- Bumped release to test update - no changes
+
+* Thu Jun 9 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-4.mga1
+- Moved installation to /usr/share instead of /opt
+- Changed group and license
+- Changed temporary dir
+- Changed to wget for d/l
+
+* Mon Jun 6 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-2.mga1
+- Moved download to pre to stop install if d/l fails
+
+* Sun Jun 5 2011 Barry Jackson <zen25000@zen.co.uk> 2.2.0.35-1.mga1
+- Changed get-skype version to follow Skype version.
+- Changed URL to directly download only correct version.
+- A copy of the downloaded file is retained in /tmp/skype-<version> to
+- speed re-installation (unless you clean /tmp)
+
+* Sat Jun 4 2011 Barry Jackson <zen25000@zen.co.uk> 0.2.mga1
+- Now all files are registered in rpm database.
+- lang, avatar and sound filenames supplied in source files.
+